Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.rewrite
Interface RewritePolicy

All Known Implementing Classes:
  MapRewritePolicy, PropertyRewritePolicy, ReflectionRewritePolicy

    public interface RewritePolicy

This interface is implemented to provide a rewrite strategy for RewriteAppender. RewriteAppender will call the rewrite method with a source logging event. The strategy may return that event, create a new event or return null to suppress the logging request.

Method Summary
`LoggingEvent` | `rewrite(LoggingEvent source)` Rewrite a logging event.

Method Detail

### rewrite

    LoggingEvent rewrite(LoggingEvent source)

  Rewrite a logging event.

  Parameters:
    `source` - a logging event that may be returned or used to create a new logging event.
  Returns:
    a logging event or null to suppress processing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.